Name:      libgta
Version:   1.2.1
%global so_version 1
Release:   1%{?dist}
Summary:   Library that implements the Generic Tagged Arrays file format
License:   LGPLv2+
URL:       https://marlam.de/gta/
Source0:   https://marlam.de/gta/releases/%{name}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: gcc
BuildRequires: doxygen

%description
Libgta is a portable library that implements the GTA (Generic Tagged Arrays)
file format. It provides interfaces for C and C++.


%package devel
Summary:  Development Libraries for %{name}
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package doc
Summary:  API documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains HTML API documentation and
examples for %{name}.


%prep
%setup -q

%build
%cmake -D GTA_BUILD_STATIC_LIB:BOOL=FALSE
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}

%check
%ctest


%ldconfig_scriptlets


%files 
%doc COPYING AUTHORS README
%{_libdir}/%{name}.so.%{so_version}
%{_libdir}/%{name}.so.%{so_version}.*

%files devel
%{_libdir}/cmake/GTA-%{version}
%{_libdir}/pkgconfig/gta.pc
%{_includedir}/gta
%{_libdir}/%{name}.so

%files doc
%doc doc/example*


%changelog
* Fri Jun 16 2023 forrest_ly <flin@linux.alibaba.com> - 1.2.1-1
- init for anolis 23
